<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreatePAIEMENTSCOLARITETable extends Migration {

	public function up()
	{
		Schema::create('PAIEMENT_SCOLARITE', function(Blueprint $table) {
			$table->bigIncrements('id');
			$table->timestamps();
			$table->softDeletes();
			$table->bigInteger('montant')->unsigned()->nullable();
			$table->bigInteger('classe_id')->unsigned()->nullable();
			$table->string('mois', 20)->nullable();
			$table->datetime('date_paiement')->nullable();
			$table->bigInteger('eleve_id')->unsigned()->nullable();
		});
	}

	public function down()
	{
		Schema::drop('PAIEMENT_SCOLARITE');
	}
}